Page MenuHomePhabricator

[OpenMP] Fix the build on Windows
ClosedPublic

Authored by JohnTitor on Jun 2 2022, 4:34 AM.

Details

Summary

The code expanded from kmp_barrier.h uses some KMP_INTERNAL_*s,
so the definitions have to be placed before it.

Fixes #55815

Diff Detail

Event Timeline

JohnTitor created this revision.Jun 2 2022, 4:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 2 2022, 4:34 AM
JohnTitor requested review of this revision.Jun 2 2022, 4:34 AM
Herald added a project: Restricted Project. · View Herald Transcript
penzn accepted this revision.Jun 6 2022, 5:43 PM
penzn added a subscriber: penzn.

LGTM

@jdoerfert - thoughts?

This revision is now accepted and ready to land.Jun 6 2022, 5:43 PM
jdoerfert accepted this revision.Jun 7 2022, 2:06 AM
jdoerfert added a subscriber: tlwilmar.

This seems to be uncontroversial. LGTM

FWIW, @tlwilmar is also a good person to tag as reviewer ;)

FWIW, @tlwilmar is also a good person to tag as reviewer ;)

Good to know, I just git-blamed the file and found you :)

Should I wait for another review from them or is it just a ping?

I assume you just mentioned them for the next patch, pushing a commit.

This revision was automatically updated to reflect the committed changes.